const express = require("express");
const router = express.Router();
const SpaceFun = require("./function.js");
const readDir = require("./readdir.js");

// 获取所有值列表 通用
router.post("/sourcetable", function (req, res) {
    SpaceFun.getALLlist(req, res);
});
router.post("/sourceimage", function (req, res) {
    SpaceFun.addSourceimage(req, res);
});
router.post("/sourcesearch", function (req, res) {
    SpaceFun.queryServerSql(req, res);
});
router.post("/sourcedelete", function (req, res) {
    SpaceFun.deleteResource(req.body.tbname, req.body.conditionFields, res);
});
router.post("/sourcepoint", function (req, res) {
    SpaceFun.getPoint(req, res);
});
router.post("/sourceEditlist", function (req, res) {
    SpaceFun.getEditlist(req, res);
});
router.post("/sourceEditchange", function (req, res) {
    SpaceFun.editchange(req, res);
});
router.post("/sourceSelectsearch", function (req, res) {
    SpaceFun.selectsearch(req, res);
});
router.post("/sourcedetele", function (req, res) {
    SpaceFun.sourcedetele(req, res);
});
router.post("/likeSearch", function (req, res) {
    SpaceFun.likeSearch(req, res);
});
router.post("/readFileList", function (req, res) {
    // console.log(req.body.name);
    readDir.readFileList(req.body.name, res);
});
router.post("/readFileListAgain", function (req, res) {
    // console.log(req.body.name);
    readDir.readFileListAgain(req.body.name, res);
});

module.exports = router;