const express = require("express");
const router = express.Router();

const con = require("../common/commonFun.js");
// 查询全部
router.post("/show", function (req, res) {
  con.showAll(req, res);
});
// 新增
router.post("/add", function (req, res) {
  con.addRecord(req, res);
});
// 删除
router.post("/delete", function (req, res) {
  con.deleteRecord(req, res);
});
// 修改
router.post("/update", function (req, res) {
  con.updateRecord(req, res);
});

// 查询全部
router.post("/wyc", function (req, res) {
  con.weiyouchen(req, res);
});
// 查询全部
router.post("/dwjc", function (req, res) {
  con.dwjcBX(req, res);
});
// 查询全部
router.post("/dcpf", function (req, res) {
  con.dcpfQS(req, res);
});
// 查询全部
router.post("/gdjh", function (req, res) {
  con.dcpfQS(req, res);
});

// 查询全部
router.post("/fjcdg1", function (req, res) {
  con.f1(req, res);
});

// 查询全部
router.post("/fjcdg2", function (req, res) {
  con.f2(req, res);
});

// 查询全部
router.post("/licheng", function (req, res) {
  con.lc(req, res);
});

// 查询全部
router.post("/jtjc", function (req, res) {
  con.jt(req, res);
});

// 查询全部
router.post("/czy", function (req, res) {
  con.czy(req, res);
});

// 查询全部
router.post("/czylc", function (req, res) {
  con.czylc(req, res);
});

// 查询全部
router.post("/jtjclc", function (req, res) {
  con.jtjclc(req, res);
});

// 查询全部
router.post("/bxlc", function (req, res) {
  con.bxlc(req, res);
});

// 查询阈值报警表全部
router.post("/yuzhixiugai", function (req, res) {
  con.yuzhixiugai(req, res);
});

// 查询阈值报警表全部
router.post("/yuzhixiugai2", function (req, res) {
  con.yuzhixiugai2(req, res);
});

// 更新阈值报警表全部
router.post("/updateyuzhi", function (req, res) {
  con.updateyuzhi(req, res);
});// 更新阈值报警表全部
router.post("/updateDwyuzhi", function (req, res) {
  con.updateDwyuzhi(req, res);
});

// 筛选阈值报警表
router.post("/shaixuanyuzhi", function (req, res) {
  con.shaixuanyuzhi(req, res);
});

// 新增道岔点位表
router.post("/addPoint", function (req, res) {
  con.addPoint(req, res);
});

// 获取道岔点位列表
router.post("/getPointList", function (req, res) {
  con.getPointList(req, res);
});

// 通过sql获取报警列表
router.post("/getAlertList", function (req, res) {
  con.getAlertList(req, res);
});
// 通过sql获取报警列表
router.post("/getqkAlertList", function (req, res) {
  con.getqkAlertList(req, res);
});

// 通过sql获取报警列表
router.post("/getglAlertList", function (req, res) {
  con.getglAlertList(req, res);
});


// 通过sql获取报警列表
router.post("/getPointCurrent", function (req, res) {
  con.getPointCurrent(req, res);
});


router.post("/getqkCurrent", function (req, res) {
  con.getqkCurrent(req, res);
});

router.post("/getGlCurrent", function (req, res) {
  con.getGlCurrent(req, res);
});

// 通过sql获取报警列表
router.post("/getBoXing", function (req, res) {
  con.getBoXing(req, res);
});

// 通过sql获取工务数据
router.post("/getDataManage", function (req, res) {
  con.getDataManage(req, res);
});

// 通过sql获取电务数据
router.post("/getDwDataManage", function (req, res) {
  con.getDwDataManage(req, res);
});


// 通过sql获取缺口数据
router.post("/getQkDataManage", function (req, res) {
  con.getQkDataManage(req, res);
});

module.exports = router;
