const pgClient = require("../DataBase/Postgresql/pgClient.js"); //pg 查询引擎
const sqlUtil = require("./sqlUtil.js");
const tableColumnList = require("./tableColumnConfig.js"); //字典表

// 通用 getlist
function listSpace(req, res) {
  // 根据req 制作sql字符串
  let sql = sqlUtil.listSpace(req);

  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    let tableallList = [];
    let alltablelist = tableColumnList.list; //拿到所有的表头名字
    //  所有的表头名和拿回来的数据的表头名对比
    for (let i = 0; i < alltablelist.length; i++) {
      let obj = alltablelist[i],
        num = obj.prop,
        colmname = obj.propname;
      // 拿回来的数据表头名
      for (let j = 0; j < data.fields.length; j++) {
        let aj = data.fields[j].name,
          tablenameObj = {};
        //如果detime对应匹配
        if (aj == num) {
          tablenameObj["prop"] = num || n;
          tablenameObj["propname"] = colmname; //过去
          tableallList.push(tablenameObj);
        }
      }
    }
    data.propname = [];
    data.propname.push(tableallList);
    // console.log(tableColumnList);
    // console.log(data);
    res.send(data);
  });
}

// 通用 新增
function addSpace(req, res) {
  let sql = sqlUtil.addSpace(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 删除
function deletSpace(req, res) {
  let sql = sqlUtil.deletSpace(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 查询
function selectSpace(req, res) {
  let sql = sqlUtil.selectSpace(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 图层显示
function showlayer(req, res) {
  let sql = sqlUtil.showlayer(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 范围查询(点选，线选，多边形，矩形通用)
function rangequery(req, res) {
  let sql = sqlUtil.rangequery(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 范围查询外加属性查询合并(点选，线选，多边形，矩形通用)
function rangequeryatt(req, res) {
  let sql = sqlUtil.rangequeryatt(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 属性查询
function attributequery(req, res) {
  let sql = sqlUtil.attributequery(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 缓冲区查询
function bufferquery(req, res) {
  let sql = sqlUtil.bufferquery(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 缓冲区域
function bufferrange(req, res) {
  let sql = sqlUtil.bufferrange(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 缓冲区查询与属性查询合并
function bufferqueryatt(req, res) {
  let sql = sqlUtil.bufferqueryatt(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 绘制点线面，添加geom属性
function updategeom(req, res) {
  let sql = sqlUtil.updategeom(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 根据坐标查桩号
function checkstation(req, res) {
  let sql = sqlUtil.checkstation(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 更新数据
function updateData(req, res) {
  let sql = sqlUtil.updateData(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 更新数据
function taijiupoiSearch(req, res) {
  let sql = sqlUtil.taijiupoiSearch(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 漫游数据
function manyouData(req, res) {
  let sql = sqlUtil.manyouData(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 图幅图号图名查询
function TFHquery(req, res) {
  let sql = sqlUtil.TFHquery(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 图幅图号图名查询
function TFHlocation(req, res) {
  let sql = sqlUtil.TFHlocation(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 缓冲区查询与属性查询合并模糊查询搜索框
function rangequerymohuatt(req, res) {
  let sql = sqlUtil.rangequerymohuatt(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    if (data.rows.length < 10) {
      let sqlstr = sqlUtil.notrangequerymohuatt(req);
      pgClient.query(sqlstr).then((data1) => {
        data.rows.push.apply(data.rows, data1.rows);
        res.send(data);
      });
    } else {
      res.send(data);
    }
  });
}

// 通用 图幅图号图名查询
function tufu(req, res) {
  let sql = sqlUtil.tufu(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 图幅图号图名查询
function tufuquery(req, res) {
  let sql = sqlUtil.tufuquery(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}

// 通用 图幅图号图名查询
function tufupdf(req, res) {
  let sql = sqlUtil.tufupdf(req);
  // 执行sql语句，并返回数据
  pgClient.query(sql).then((data) => {
    res.send(data);
  });
}
module.exports = {
  listSpace,
  addSpace,
  deletSpace,
  selectSpace,
  showlayer,
  rangequery,
  rangequeryatt,
  attributequery,
  bufferquery,
  bufferrange,
  bufferqueryatt,
  updategeom,
  checkstation,
  updateData,
  taijiupoiSearch,
  manyouData,
  TFHquery,
  TFHlocation,
  rangequerymohuatt,
  tufu,
  tufuquery,
  tufupdf,
};
