const pgClient = require("../DataBase/Postgresql/pgClient.js"); //pg 查询引擎
const sqlUtil = require("./sqlUtil.js");
// const tableColumnList = require("./tableColumnConfig.js.js");   //字典表

// 通用 getALLlist

function getuserlist(req, res) {
    // 根据req 制作sql字符串
    let sql = sqlUtil.getuserlist(req);

    // 执行sql语句，并返回数据
    pgClient.query(sql).then((data) => {
        res.send(data);
    });
}

// 删除 删除
function deleteuserlist(tablename, fields, res) {
    // 根据req 制作sql字符串
    let sql = sqlUtil.deleteuserlist(tablename, fields);

    // 执行sql语句，并返回数据
    pgClient.query(sql).then((data) => {
        res.send(data);
    });
}

function deleteuserlisttable(req, res) {
    let sql = sqlUtil.deleteuserlist(req);
    pgClient.query(sql).then((data) => {
        res.send(data);
    });
}

// 添加 添加
function adduser(tablename, fields, res) {
    let sql = sqlUtil.addUser(tablename, fields);
    // 执行sql语句，并返回数据
    pgClient.query(sql).then(data => {

        res.send(data);
    })

}
// 修改 修改
function modifyUser(req, res) {
    let sql = sqlUtil.modifyUser(req);
    // 执行sql语句，并返回数据
    pgClient.query(sql).then(data => {

        res.send(data);
    })

}

function getshijianlist(req, res) {
    let sql = sqlUtil.getshijianlist(req);
    // 执行sql语句，并返回数据
    pgClient.query(sql).then(data => {

        res.send(data);
    })

}

function searchshijianlist(req, res) {
    let sql = sqlUtil.searchshijianlist(req);
    // 执行sql语句，并返回数据
    pgClient.query(sql).then(data => {

        res.send(data);
    })

}

function searchshijian(req, res) {
    let sql = sqlUtil.searchshijian(req);
    // 执行sql语句，并返回数据
    pgClient.query(sql).then(data => {

        res.send(data);
    })

}

function searchshigu(req, res) {
    let sql = sqlUtil.searchshigu(req);
    // 执行sql语句，并返回数据
    pgClient.query(sql).then(data => {

        res.send(data);
    })

}

function searchshigu2(req, res) {
    let sql = sqlUtil.searchshigu(req);
    // 执行sql语句，并返回数据
    pgClient.query(sql).then(data => {

        res.send(data);
    })

}


function searchpdf(req, res) {
    let sql = sqlUtil.searchpdf(req);
    // 执行sql语句，并返回数据
    pgClient.query(sql).then((data) => {
        res.send(data);
    });
}

function yuanlikeSearch(req, res) {
    let sql = sqlUtil.yuanlikeSearch(req);
    // 执行sql语句，并返回数据
    pgClient.query(sql).then((data) => {
        res.send(data);
    });
}


function duobiaoList(req, res) {
    let sql = sqlUtil.duobiaoList(req);
    // 执行sql语句，并返回数据
    pgClient.query(sql).then((data) => {
        res.send(data);
    });
}

function duobiaoSearch(req, res) {
    let sql = sqlUtil.duobiaoSearch(req);
    // 执行sql语句，并返回数据
    pgClient.query(sql).then((data) => {
        res.send(data);
    });
}



// xwj通用

function likeselectshigu(req, res) {


    let sql = sqlUtil.likeselectshigu(req.body.tbname, req.body.conditionFields, req.body.timeFields);
    // 执行sql语句，并返回数据
    let sqlstr1 = sql.replace(/\*/, "shigutype")

    let p1 = new Promise((resolve, reject) => {
        pgClient.query(sqlstr1).then((data) => {
            resolve(data);
        });
    })



    let numberlist = req.body.numberlist;
    let offset = (req.body.stratindex - 1) * req.body.numberlist;

    let sqlstr2 = sql + `limit  ${numberlist}   offset   ${offset}`;

    let p2 = new Promise((resolve, reject) => {
        pgClient.query(sqlstr2).then((data) => {
            resolve(data);
        });
    })

    Promise.all([p1, p2]).then((result) => {

        res.send(result)
    }).catch((error) => {
        res.send(error)
    })
}

module.exports = {
    getuserlist,
    deleteuserlist,
    deleteuserlisttable,
    adduser,
    modifyUser,
    getshijianlist,
    searchshijianlist,
    searchshijian,
    searchpdf,
    yuanlikeSearch,
    searchshigu,
    searchshigu2,
    duobiaoList,
    duobiaoSearch,


    // xwj
    likeselectshigu

}