const pgClient = require("../../DataBase/Postgresql/pgClient.js") //pg 查询引擎
const sqlUtil = require("../util/sqlUtil.js")

// 通用查询函数，查询表内所有数据
function showAll(req, res) {
    const sql = sqlUtil.listTableByName(req);
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}

// 通用查询函数，查询表内所有数据
function showTime(req, res) {
    const sql = sqlUtil.listTableByTime(req);
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}

// 通用查询函数，查询表内所有数据
function showTable(req, res) {
    const sql = sqlUtil.listTable(req);
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 新增JingTaiJC 列表
function addJingTaiJCAll(tableName, item, res, time) {
    const sql = sqlUtil.addJingTaiJCExcel(tableName, item, time);
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 新增Chezaiyi 列表
function addCheZaiYiAll(tableName, item, res, time) {
    const sql = sqlUtil.addCheZaiYiExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 新增算法输出列表
function addSuanFaSCAll(tableName, item, res, time) {
    const sql = sqlUtil.addSuanFaSCExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 新增轮轨力
function addLunGuiLiAll(tableName, item, res, time) {
    const sql = sqlUtil.addLunGuiLiExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 新增轨道几何
function addGuiDaoJhAll(tableName, item, res, time) {
    const sql = sqlUtil.addGuiDaoJhExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 新增轨道沉降趋势
function addGuiDaoCjAll(tableName, item, res, time) {
    const sql = sqlUtil.addGuiDaoCjExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 新增道岔评分
function addDaoChaPfAll(tableName, item, res, time) {
    const sql = sqlUtil.addDaoChaPfExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 电务监测缺口数据
function addDianWuJcAll(tableName, item, res, time) {
    const sql = sqlUtil.addDianWuJcExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 接触网检测数据
function addJieChuWAll(tableName, item, res, time) {
    const sql = sqlUtil.addJieChuWExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 道岔台账数据
function addDaoChaTzAll(tableName, item, res, time) {
    const sql = sqlUtil.addDaoChaTzExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 全局道岔台账数据
function addQjDaoChaTzAll(tableName, item, res, time) {
    const sql = sqlUtil.addQjDaoChaTzExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 新增JingTaiJC 记录
function addJingTaiJCFlies(tableName, fileName, res, time) {
    const sql = sqlUtil.addJingTaiJCFlie(tableName, fileName, time);
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 桥梁台账数据
function addQiaoLiangTzAll(tableName, item, res, time) {
    const sql = sqlUtil.addQiaoLiangTzExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 隧道台账数据
function addSuiDaoTzAll(tableName, item, res, time) {
    const sql = sqlUtil.addSuiDaoTzExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 坡度台账数据
function addPoDuTzAll(tableName, item, res, time) {
    const sql = sqlUtil.addPoDuTzExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 沪蓉道台账数据
function addHuRongDaoTzAll(tableName, item, res, time) {
    const sql = sqlUtil.addHuRongDaoTzExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
// 道岔动态检测
function addDongTaiJcAll(tableName, item, res, time) {
    const sql = sqlUtil.addDongTaiJcExcel(tableName, item, time); //修改sql
    pgClient.query(sql).then(data => {
        res.send(data);
    })
}
module.exports = {
    showAll,
    showTime,
    showTable,
    addJingTaiJCAll,
    addCheZaiYiAll,
    addJingTaiJCFlies,
    addSuanFaSCAll,
    addLunGuiLiAll,
    addGuiDaoJhAll,
    addGuiDaoCjAll,
    addDaoChaPfAll,
    addDianWuJcAll,
    addJieChuWAll,
    addDaoChaTzAll,
    addQjDaoChaTzAll,
    addQiaoLiangTzAll,
    addSuiDaoTzAll,
    addPoDuTzAll,
    addHuRongDaoTzAll,
    addDongTaiJcAll
}